using System.Collections.Generic;
using UnityEngine;
using Enums;

namespace Services.Interfaces {
    public interface IMatchService {
        List<Gem> CurrentMatches { get; }
        bool MatchesAt(Vector2Int positionToCheck, GemType gemTypeToCheck);
        void FindAllMatches();
        void CheckForBombs();
        void MarkBombArea(Vector2Int bombPosition, int blastSize);
    }
}